Skip to Content

List all webhooks

You're viewing API version 2026-09, which is deprecated and stops working on October 1, 2027. To move your integration, see Upgrading to 2026-10.
GET
/api/v1/webhooks

Retrieve a paginated list of all webhooks in your organization.

Webhooks allow you to receive real-time notifications when events occur in your workspace (e.g., document signed, contact created).

Pagination: Use 'page' and 'perPage' query parameters.

Authorization

headerAuthorizationBearer <token>

Personal API key, e.g. Authorization: Bearer sajn_sk_.... Not scope-limited — acts as the issuing user.

Query Parameters

Header Parameters

authorization*string

Bearer token for API authentication

Response Body

Paginated list of webhooks

application/json
  1. response

Paginated list of webhooks

webhooks*array<>
totalPages*number
Example Request
curl -X GET 'https://app.sajn.se/api/v1/webhooks?page=1&perPage=10' \  -H 'authorization: string'
Example Response
{  "webhooks": [    {      "id": "string",      "webhookUrl": "string",      "secret": "string",      "enabled": true,      "failureNotificationEmail": "string",      "eventTriggers": [        "string"      ],      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z"    }  ],  "totalPages": 0}

Was this page helpful?